package de.softwarerat.modutils;

import de.softwarerat.modutils.Commands.ModUtilsCommand;
import de.softwarerat.modutils.Utils.MySQL;
import de.softwarerat.modutils.events.Chat;
import de.softwarerat.modutils.events.Join;
import de.softwarerat.modutils.events.Quit;
import org.bukkit.Bukkit;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

public final class Main extends JavaPlugin {

    @Override
    public void onEnable() {
        PluginManager manager = Bukkit.getPluginManager();
        manager.registerEvents(new Chat(), this);
        manager.registerEvents(new Join(), this);
        manager.registerEvents(new Quit(), this);
        MySQL.connect();
        getCommand("utils").setExecutor(new ModUtilsCommand());

        // Plugin startup logic



    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }
}
