package de.softwarerat.modutils.Utils;

import org.bukkit.entity.Player;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Locale;
import java.util.UUID;

public class PermissionManager {


    public PermissionLevel getPermissionLevel(Player player) {

        UUID playerUUID = player.getUniqueId();
        try {
            PreparedStatement preparedStatement = MySQL.getConnection().prepareStatement("SELECT PermissionLevel FROM permissionlevel WHERE UUID = ?");
            preparedStatement.setString(1, playerUUID.toString());

            ResultSet rs = preparedStatement.executeQuery();
            if (rs.next()) {


         return   PermissionLevel.toPermissionLevel(  rs.getString("PermissionLevel"));


            }

        } catch (SQLException e) {
            throw new RuntimeException(e);
        }

        return null;
    }

    public void setPermissionLevel(PermissionLevel permissionLevel , Player player){


        try {
            PreparedStatement preparedStatement = MySQL.getConnection().prepareStatement("INSERT INTO permissionlevel(UUID,PermissionLevel) Values ?,? ");
            preparedStatement.setString(1,player.getUniqueId().toString());
            preparedStatement.setString(2,permissionLevel.toString().toLowerCase(Locale.ROOT));

        } catch (SQLException e) {
            throw new RuntimeException(e);
        }

    }

}
