package de.softwarerat.modutils.events;

import de.softwarerat.modutils.Ranks.AdminRank;
import de.softwarerat.modutils.Utils.NametagUtil;
import de.softwarerat.modutils.Utils.PermissionLevel;
import de.softwarerat.modutils.Utils.WhitelistUtil;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;


public class Join implements Listener {

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
    PermissionLevel permissionLevel = PermissionLevel.getPermissionLevel(event.getPlayer());



    if (permissionLevel == PermissionLevel.ADMIN){

        event.setJoinMessage(ChatColor.RED + "Admin | " + ChatColor.GRAY + event.getPlayer().getName() + " hat das Spiel betreten");
        NametagUtil.ChangeNametag(event.getPlayer() , "admin");
    } else if (permissionLevel == PermissionLevel.MODERATOR){


            event.setJoinMessage(ChatColor.GREEN + "Moderator | " + ChatColor.GRAY + event.getPlayer().getName() + " hat das Spiel betreten");
        NametagUtil.ChangeNametag(event.getPlayer(), "moderator");
    } else if (permissionLevel == PermissionLevel.STREAMER) {
            if (WhitelistUtil.getWhitelistLevel() == "team" ) {

                event.getPlayer().kickPlayer("Mod Utils | Du hast für diesen Server aktuell nicht ausreichende Rechte");

            }
        event.setJoinMessage(ChatColor.DARK_PURPLE + "Streamer | " + ChatColor.GRAY + event.getPlayer().getName() + " hat das Spiel betreten");
        NametagUtil.ChangeNametag(event.getPlayer() , "streamer");
    } else {
        if (WhitelistUtil.getWhitelistLevel() == "streamer" || WhitelistUtil.getWhitelistLevel() == "team" ) {
            event.getPlayer().kickPlayer("Mod Utils | Du hast für diesen Server aktuell nicht ausreichende Rechte");
        }
        event.setJoinMessage("Spieler | " + event.getPlayer().getName() + " hat das Spiel betreten");
    }

    }
}
