package de.softwarerat.modutils.events;

import de.softwarerat.modutils.Utils.PermissionLevel;
import org.bukkit.ChatColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;

public class Quit implements Listener {

    @EventHandler
    public void onPlayerQuit(PlayerQuitEvent event) {
        PermissionLevel permissionLevel = PermissionLevel.getPermissionLevel(event.getPlayer());


        if (permissionLevel == PermissionLevel.ADMIN){

            event.setQuitMessage(ChatColor.RED + "Admin | " + ChatColor.GRAY + event.getPlayer().getName() + " hat das Spiel verlassen");
        }else
        if (permissionLevel == PermissionLevel.MODERATOR){
event.setQuitMessage(ChatColor.GREEN + "Moderator | " + ChatColor.GRAY + event.getPlayer().getName() + " hat das Spiel verlassen");
        } else if (permissionLevel == PermissionLevel.STREAMER){
        event.setQuitMessage(ChatColor.DARK_PURPLE + "Streamer | " + ChatColor.GRAY + event.getPlayer().getName() + " hat das Spiel verlassen");
        }else  event.setQuitMessage("Spieler | " + event.getPlayer().getName() + " hat das Spiel betreten") ;







    }
}
