package de.softwarerat.modutils.events;

import de.softwarerat.modutils.Ranks.AdminRank;
import de.softwarerat.modutils.Ranks.ModeratorRank;
import de.softwarerat.modutils.Ranks.StreamerRank;
import org.bukkit.ChatColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;

public class Chat implements Listener {



    @EventHandler
    public void onAsyncPlayerChat(AsyncPlayerChatEvent event) {
        var AdminRank = new AdminRank().getAdmins();
        var ModRank = new ModeratorRank().getModerators();
        var StreamerRank = new StreamerRank().getStreamer();
        if (AdminRank.contains(event.getPlayer())){
            event.setFormat(ChatColor.RED + "Admin " + ChatColor.GRAY + "| " + event.getPlayer() + " >> " + event.getMessage() );
        } else if (ModRank.contains(event.getPlayer())){
            event.setFormat(ChatColor.GREEN + "Mod " + ChatColor.GRAY + "| " + event.getPlayer() + " >> " + event.getMessage() );
        } else if (StreamerRank.contains(event.getPlayer())){
            event.setFormat(ChatColor.DARK_PURPLE + "Streamer " + ChatColor.GRAY + "| " + event.getPlayer() + " >> " + event.getMessage() );
        }



    }
}
